Bug 467400 - Device mapper multipath fails to update the device map status after failover/failback
Device mapper multipath fails to update the device map status after failover/...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
4.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ben Marzinski
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 06:34 EDT by vijay
Modified: 2010-10-04 13:19 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-04 13:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vijay 2008-10-17 06:34:58 EDT
Description of problem:

On path failures due to cable pull, the I/Os are failed over to other available paths, but the maps status for all the failed paths are not updated in multipath -l output. based on the I/O load, the entries are updated for few devices but fails to update for all the devices. 

The above test case was performed on SAS based array using mpt drivers.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Fail the paths by pulling out the cable.
2. I/O are failed over to available paths
3. multipath -l command output, paths are not updated.
  
Actual results:


Expected results:


Additional info: The path status for the device maps are not updated on the path failback also.
Comment 2 Ben Marzinski 2010-05-25 19:28:49 EDT
Are you still able to see this problem?
Comment 3 Ben Marzinski 2010-10-04 13:19:10 EDT
I was unable to reproduce this.  If you are still having a problem, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.